:root {
  --main-text: #757575;
  --button-fon: #2196f3;
  --text: #ffffff;
  --first-fon-button: #f5f4fa;
  --footer-text: #ffffff99;
  --text-headings: #212121;
  --background-color: #2f303a;
  --main-font: "Roboto", sans-serif;
  --logo-font: "Raleway";
  --line-color: #ececec;
  --svg-icon: #afb1b8;
}

.image {
  width: 100%;
  object-fit: cover;
  display: block;
}

.header-container {
  max-width: 1400px;
  margin: 0 auto;
  padding: 0;
  display: flex;
  align-items: center;
  height: 80px;
}

.container {
  width: 100%;
  margin: 0 auto;
  padding-bottom: 25px;
  padding-top: 24px;
  align-items: center;
  display: flex;
}

.section {
  padding-top: 94px;
  padding-bottom: 94px;
  margin: 0 auto;
}

.container-peculiarities {
  max-width: 1170px;
  margin: 0 auto;
  padding-bottom: 25px;
  padding-top: 24px;
}

.header {
  background-color: var(--text);
  border-bottom: 1px solid var(--line-color);
}

.header-contact {
  display: flex;
  align-items: center;
  gap: 50px;
  margin-left: auto;
}

.contact {
  display: flex;
  align-items: center;
  color: var(--main-text);
  font-size: 14px;
  text-decoration: none;
  gap: 10px;
}

.contact:hover {
  color: var(--button-fon);
}

.contact:focus {
  color: var(--button-fon);
}

.svg-header {
  width: 20px;
  height: 20px;
  cursor: pointer;
  fill: currentColor;
}

.logo {
  font-family: var(--logo-font);
  font-weight: 700;
  font-size: 26px;
  text-decoration: none;
  color: var(--text-headings);
  margin-right: 93px;
  line-height: 1;
  letter-spacing: 3%;
}

.logo-web {
  color: var(--button-fon);
}

.link {
  text-decoration: none;
}

.navigation {
  list-style: none;
  display: flex;
  gap: 50px;
  margin: 0;
  padding: 0;
}

.nav-link {
  color: var(--text-headings);
  font-size: 14px;
  font-weight: 500;
  text-decoration: none;
}

.nav-link:hover {
  color: var(--button-fon);
}

.nav-link:focus {
  color: var(--button-fon);
}

.nav-link.active {
  color: var(--button-fon);
}

.banner {
  background-image:
    linear-gradient(rgba(47, 48, 58, 0.4), rgba(47, 48, 58, 0.4)),
    url(../images/shapka.jpg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  color: var(--text);
  font-size: 44px;
  font-weight: 900;
  line-height: 1.36;
  text-align: center;
  padding-top: 200px;
  padding-bottom: 280px;
}

.banner button {
  background-color: var(--button-fon);
  color: var(--text);
  font-family: var(--main-font);
  font-size: 16px;
  font-weight: 700;
  line-height: 1.87;
  text-align: center;
  cursor: pointer;
  border: none;
  border-radius: 4px;
  letter-spacing: 1.2px;
  vertical-align: middle;
  margin-bottom: 30px;
  width: 200px;
  height: 60px;
}

.banner button:hover {
  background-color: var(--background-color);
}

body {
  font-family: var(--main-font);
  margin: 0;
}

.section-title-h2 {
  color: var(--text-headings);
  font-family: var(--main-font);
  font-size: 14px;
  font-weight: 700;
  text-transform: uppercase;
  margin: 0;
}

.svg-box {
  width: 270px;
  height: 120px;
  background-color: var(--first-fon-button);
  border-radius: 4px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 30px;
}

.section-list {
  list-style: none;
  display: grid;
  justify-content: center;
  grid-template-columns: repeat(4, 1fr);
  gap: 30px;
  margin: 0 auto;
  padding: 0;
}

.section-svg {
  width: 70px;
  height: 70px;
  background-color: var(--first-fon-button);
}

.section-whatwedo-h2 {
  font-size: 36px;
  font-weight: 700;
  margin: 0 auto;
}

.card {
  display: flex;
  flex-direction: column;
  gap: 8px;
  width: 270px;
  padding: 20px;
}

.text-p {
  color: var(--main-text);
  font-size: 14px;
  line-height: 1.714;
  word-wrap: break-word;
  overflow-wrap: break-word;
}

.section-whatwedo-h2 {
  color: var(--text-headings);
  font-size: 36px;
  text-align: center;
}

.section-what-we-do {
  list-style: none;
  display: flex;
  justify-content: center;
  gap: 30px;
  padding-top: 50px;
  padding-bottom: 94px;
  margin: 0 auto;
}

.svg-div {
  display: flex;
  justify-content: center;
  gap: 10px;
  margin-top: 28px;
}

.section-team {
  color: var(--text-headings);
  font-weight: 700;
  font-size: 36px;
  background-color: var(--first-fon-button);
}

.icon-svg-link {
  width: 44px;
  height: 44px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  cursor: pointer;
}

.icon-svg-link:hover {
  background-color: var(--button-fon);
}

.icon-svg-link:hover .svg-team {
  fill: var(--text);
}

.svg-team {
  width: 20px;
  height: 20px;
  fill: var(--svg-icon);
}

.svg-team:hover {
  fill: var(--text);
  background-color: var(--button-fon);
}

.section-team-list {
  list-style: none;
  display: flex;
  justify-content: center;
  padding-bottom: 94px;
  gap: 30px;
  margin: 0 auto;
}

.section-team-li {
  background-color: #ffffff;
  padding-bottom: 30px;
  border-radius: 4px;
  box-shadow:
    0px 2px 1px 0px #00000033,
    0px 1px 1px 0px #00000024,
    0px 1px 3px 0px #0000001f;
}

.section-team-h2 {
  font-family: var(--main-font);
  font-size: 36px;
  text-align: center;
  letter-spacing: 1.08px;
  padding-top: 94px;
  padding-bottom: 50px;
}

.section-title-h3 {
  color: var(--text-headings);
  font-size: 16px;
  font-weight: 500;
  text-align: center;
}

.text-team {
  font-size: 16px;
  font-weight: 400;
  letter-spacing: 0.48px;
  color: var(--main-text);
  text-align: center;
}

.portfolio-title-h3 {
  font-size: 18px;
  line-height: 36px;
  font-weight: 700;
  margin: 0 0 8px 0;
}

.portfolio-project-list {
  list-style: none;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  justify-content: center;
  gap: 30px;
  margin: 0 auto;
  padding: 0 auto;
  max-width: 1200px;
  padding-bottom: 94px;
}

.section-team-li2 {
  width: 370px;
  background-color: #ffffff;
  gap: 4px;
  padding: 0;
  display: flex;
  flex-direction: column;
  border: 1px solid #eeeeee;
}

.section-team-li2:hover {
  box-shadow:
    1px 4px 6px 0px rgba(0, 0, 0, 0.16),
    0px 4px 4px 0px rgba(0, 0, 0, 0.06),
    0px 1px 1px 0px rgba(0, 0, 0, 0.12);
  cursor: pointer;
}

.filters-list {
  list-style: none;
  display: flex;
  justify-content: center;
  gap: 12px;
  text-align: center;
  margin: 0 auto;
  padding-top: 94px;
  margin-bottom: 34px;
}

.button-portfolio {
  cursor: pointer;
  display: flex;
  justify-content: center;
  color: var(--text-headings);
  background-color: var(--first-fon-button);
  font-family: var(--main-font);
  font-weight: 500;
  font-size: 16px;
  padding: 6px 22px;
  border: none;
  border-radius: 4px;
}

.button-portfolio:hover {
  background-color: var(--button-fon);
  color: var(--text);
}

.button-portfolio:focus {
  background-color: var(--button-fon);
  color: var(--text);
}

.card-portfolio {
  padding: 20px 24px;
  display: flex;
  object-fit: cover;
  flex-direction: column;
  gap: 8px;
}

.text-portfolio {
  color: var(--main-text);
  font-size: 16px;
  line-height: 1.87;
}

.clients {
  text-align: center;
  padding-top: 94px;
  padding-bottom: 94px;
}

.svg-box-client {
  width: 170px;
  height: 92px;
  display: inline-flex;
  border: 1px solid #afb1b8;
  border-radius: 1px;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  margin-top: 50px;
  margin-right: 30px;
}

.svg-clients {
  fill: var(--svg-icon);
  width: 40px;
  height: 46px;
}

.svg-box-client:hover {
  border-color: var(--button-fon);
}

.svg-box-client:hover .svg-clients {
  fill: var(--button-fon);
}

.button {
  cursor: pointer;
  color: var(--text-headings);
  background-color: var(--first-fon-button);
  font-family: var(--main-font);
  font-weight: 500;
  line-height: 1.625;
  size: 20px;
  border: none;
  border-radius: 4px;
}

.button:hover {
  background-color: var(--button-fon);
  color: var(--text);
}

.button:focus {
  background-color: var(--button-fon);
  color: var(--text);
}

.footer {
  color: var(--footer-text);
  font-size: 14px;
  line-height: 24px;
  letter-spacing: 0.42px;
  background-color: var(--background-color);
  text-decoration: none;
  padding-left: 215px;
  padding-bottom: 60px;
  gap: 70px;
}

.footer-container {
  display: flex;
  align-items: center;
  gap: 70px;
}

.footer-link {
  color: var(--footer-text);
  text-decoration: none;
  display: block;
  margin-top: 10px;
}

.footer-link:hover {
  color: var(--button-fon);
}

.footer-text {
  color: var(--text);
  margin-bottom: 10px;
}

.footer-logo {
  font-family: var(--logo-font);
  font-size: 26px;
  font-weight: 700;
  line-height: 100%;
  letter-spacing: 0.78px;
  color: var(--text);
  text-decoration: none;
  display: block;
  padding-top: 60px;
}

.footer-join-icon {
  display: flex;
  gap: 10px;
  cursor: pointer;
  fill: var(--svg-icon);
}

.footer-join-icon:hover {
  color: var(--button-fon);
}

.footer-join-icon:focus {
  color: var(--button-fon);
}

.footer-social {
  display: flex;
  flex-direction: column;
}

.icon-box {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 44px;
  height: 44px;
  border-radius: 50%;
  background-color: rgba(255, 255, 255, 0.1);
}

.icon-box:hover {
  background-color: var(--button-fon);
}

.footer-svg {
  width: 20px;
  height: 20px;
  cursor: pointer;
  fill: var(--text);
}

.footer-svg:hover {
  fill: var(--text);
}

.footer-svg:focus {
  fill: var(--text);
}

.footer-join {
  color: var(--text);
  width: 145px;
  height: 16px;
  font-weight: 700;
  font-size: 14px;
  letter-spacing: 3%;
  margin-bottom: 20px;
}
